> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/development/api-reference/datatype/udim.md).

# Udim

## Overview

UDim is a data type used to express a value along a single axis, including both a scale value proportional to the entire size and a fixed offset correction value in pixel. With this, a position or size that dynamically adjusts itself according to screen size while maintaining a certain pixel offset can be calculated.

## Constructors

### new

Creates a single UDim object based on the passed scale value and offset value, and returns it. The created UDim can be used to calculate one-dimensional position or size.

#### Parameters

| `number` Scale  | The relative scale value applied relative to the size of parent. |
| --------------- | ---------------------------------------------------------------- |
| `number` Offset | The absolute value applied in pixel.                             |

#### Return

| `UDim` | The UDim consisted of the specified scale and offset values. |
| ------ | ------------------------------------------------------------ |

#### Code Samples

```lua
local UDim = UDim.new(0.5, 100)
```

## Properties

### Offset

`number`

The absolute value applied in pixel.

#### Code Samples

```lua
local UDim = UDim.new(0, 100)

print(UDim.Offset)
```

### Scale

`number`

The relative scale value applied relative to the size of parent.

#### Code Samples

```lua
local UDim = UDim.new(0.5, 0)

print(UDim.Scale)
```

## Methods

## Events


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.overdare.com/development/api-reference/datatype/udim.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
